package com.jy.framework.model.base;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jy.framework.mybatis.join.DefaultFunction;
import com.jy.framework.mybatis.join.Sql;

public class BaseDao<M extends BaseMapper<T>, T extends BaseIdPo> extends ServiceImpl<M, T> implements DefaultFunction {

    public Sql<JSONObject> sql() {
        return Sql.create();
    }

    public <S> Sql<S> sql(Class<S> clazz) {
        return Sql.create(clazz);
    }

}
